Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class ICMFrameTime

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.image.ICMFrameTime

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ICMFrameTime
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

No QT documentation available for the ICMTimeFrameRecord struct
QuickTime:ICMTimeFrameRecord

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`ICMFrameTime()` Creates an ICMFrameTime object.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`TimeBase` | `getBase()`
`int` | `getDuration()` No QT documentation available.
`int` | `getFlags()`
`int` | `getFrameNumber()` No QT documentation available.
`float` | `getRate()` No QT documentation available.
`int` | `getScale()` No QT documentation available.
`long` | `getValue()` No QT documentation available.
`int` | `getVirtualDuration()`
`long` | `getVirtualStartTime()`
`void` | `setBase(TimeBase base)`
`void` | `setDuration(int duration)` No QT documentation available.
`void` | `setFlags(int flags)`
`void` | `setFrameNumber(int frameNumber)` No QT documentation available.
`void` | `setRate(float rate)` No QT documentation available.
`void` | `setScale(int scale)` No QT documentation available.
`void` | `setValue(long value)` No QT documentation available.
`void` | `setVirtualDuration(int duration)`
`void` | `setVirtualStartTime(long time)`
`java.lang.String` | `toString()` Returns a string representation of the class

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### ICMFrameTime

    public ICMFrameTime()

  Creates an ICMFrameTime object. It will set the size of the record to the extended TimeFrameRecord and will set the flag to tell QT that it is the extended record structure.

Method Detail

### setValue

    public void setValue(long value)

  No QT documentation available.
  Parameters:
    `value` -

### setScale

    public void setScale(int scale)

  No QT documentation available.
  Parameters:
    `scale` -

### setDuration

    public void setDuration(int duration)

  No QT documentation available.
  Parameters:
    `duration` -

### setRate

    public void setRate(float rate)

  No QT documentation available.
  Parameters:
    `rate` -

### setFrameNumber

    public void setFrameNumber(int frameNumber)

  No QT documentation available.
  Parameters:
    `frameNumber` -

### getValue

    public long getValue()

  No QT documentation available.
  Returns:

### getScale

    public int getScale()

  No QT documentation available.
  Returns:

### getBase

    public TimeBase getBase()

  Returns:
    the current time base - can be null

### setBase

    public void setBase(TimeBase base)

  Parameters:
    `base` - the time base that will use this object - can be null

### getDuration

    public int getDuration()

  No QT documentation available.
  Returns:

### getRate

    public float getRate()

  No QT documentation available.
  Returns:

### getFrameNumber

    public int getFrameNumber()

  No QT documentation available.
  Returns:

### setFlags

    public void setFlags(int flags)

  Parameters:
    `flags` - the flags for this structure

### getFlags

    public int getFlags()

  Returns:
    the current flags

### setVirtualStartTime

    public void setVirtualStartTime(long time)

  Parameters:
    `time` - the new virtual start time

### getVirtualStartTime

    public long getVirtualStartTime()

  Returns:
    the virtual start time

### setVirtualDuration

    public void setVirtualDuration(int duration)

  Parameters:
    `duration` - the virtual duration

### getVirtualDuration

    public int getVirtualDuration()

  Returns:
    the virtual duration

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Returns a string representation of the class
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD